# Usage#UsageAllAccounts

Report usage for all accounts

Endpoint: GET /sto/api/usage/all-accounts
Version: 1.0
Security: 

## Query parameters:

  - `timestamp` (integer, required)
    Timestamp indicating the end of the usage interval (in milliseconds since Unix epoch)
    Example: 1670427991307

  - `interval` (integer)
    Usage calculation interval (in days)
    Example: 30

## Response 200 fields (application/json):

  - `timestamp` (integer, required)
    Timestamp
    Example: 1670427991307

  - `usage` (array, required)
    Usage of all accounts
    Example: [{"accountId":"BdsgiWzwT7CQFeJl9XkQ3A","developerCount":25,"harnessCodeCount":100,"harnessContainerCount":50,"scanCount":5000},{"accountId":"BdsgiWzwT7CQFeJl9XkQ3A","developerCount":25,"harnessCodeCount":100,"harnessContainerCount":50,"scanCount":5000}]

  - `usage.accountId` (string, required)
    Account ID
    Example: "BdsgiWzwT7CQFeJl9XkQ3A"

  - `usage.developerCount` (integer, required)
    Developer count
    Example: 25

  - `usage.harnessCodeCount` (integer)
    Harness Code scan count
    Example: 100

  - `usage.harnessContainerCount` (integer)
    Harness Container scan count
    Example: 50

  - `usage.scanCount` (integer, required)
    Scan count
    Example: 5000

## Response 400 fields (application/json):

  - `message` (string, required)
    Example: "Not Found"

  - `status` (integer)
    Example: 404


